SQL-инъекция и межсайтовый скриптинг в Simplog

Дата публикации:
25.04.2006
Дата изменения:
09.05.2006
Всего просмотров:
975
Опасность:
Средняя
Наличие исправления:
Частично
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2028
CVE-2006-2029
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Simplog 0.x
Уязвимые версии: Simplog 0.9.3

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "tid" сценария preview.php, параметрах "cid", "pid" и "eid" в сценарии archive.php и в параметре "pid" в сценарии comments.php. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольные SQL команды в базе данных приложения. Пример:

http://[victim]/[simplogdir]/preview.php?adm=tem&blogid=1&tid=[SQL]
http://[victim]/[simplogdir]/archive.php?blogid=1&cid=[SQL]
http://[victim]/[simplogdir]/archive.php?blogid=1&pid=[SQL]
http://[victim]/[simplogdir]/archive.php?blogid=1&eid=[SQL]

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "imagedir" в сценарии imagelist.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://[victim]/[simplogdir]/imagelist.php?blogid=1&act=add_entry&login=1&imagedir=[XSS]

URL производителя: www.simplog.org

Решение: Установите последнюю версию (0.9.3.1) с сайта производителя.

Ссылки: Simplog <= 0.93 Multiple Remote Vulnerabilities

или введите имя

CAPTCHA